/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.scenario.toc;

/**Class which defines the map frame node.
 */

public class MapFrameNode  extends Node {
	private static final long serialVersionUID = 1L;
	//Name of the map
    String title;

    public MapFrameNode() {
    }

    public MapFrameNode(String Object) {
      super(Object, true);
      title = Object;
    }


    /**Sets the label for this node
     * @param label
     */
    public void setLabel(String label) {
      title = label;
    }

    /**String value of this object
     * @see java.lang.Object#toString()
     * @return string
     */

    public String toString() {
      return title;
    }

  }
