/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
/*
 * ArcGIS Engine Developer Sample
 * Application Name: LayerInfo.java
 */

package arcgissamples.scenario.map;

/**Class used to get layer informations such
 * as name, id and visibility
 *
 */

public class LayerInfo {
  String layerName;
  boolean visible;
  int ID;

  LayerInfo(String layerName, boolean visible, int ID) {
    this.layerName = layerName;
    this.visible = visible;
    this.ID = ID;
  }

  public String getName() {
    return layerName;
  }

  public boolean getVisible() {
    return visible;
  }

  public int getID() {
    return ID;
  }

}
